|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QTime

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QTime class reference

### Static Public Members

- QTime currentTime ( Qt::TimeSpec specification )

## Member Function Documentation

### QTime QTime::currentTime ( Qt::TimeSpec specification ) `[static]`

This is an overloaded member function, provided for convenience.

Returns the current time for the given specification.

To replace uses of this function where the specification is Qt::LocalTime, use the currentDate() overload that takes no parameters instead; otherwise, use QDateTime::currentDateTime() and convert the result to a UTC measurement.

For example, if you have code like

     QTime localTime = QTime::currentTime(Qt::LocalTime);
     QTime utcTime = QTime::currentTime(Qt::UTC);

you can rewrite it as

     QTime localTime = QTime::currentTime();
     QTime utcTime = QTimeTime::currentDateTime().toUTC().time();

See also QDateTime::toUTC().